#include <iostream>
#include <string>

using namespace std;

int main()
{
    string s;
    cin >> s;
    for (int i = 0; i < s.size(); i++) {
        if (s[i] == '2') s[i] = '5';
        else if (s[i] == '5') s[i] = '2';
    }
    for (int i = s.size(); i >= 0; i--)
        if (s[i] != '0')
            cout << s[i];
    return 0;
}
